commit: a1b25485a3ff8b1dc8632ae5baef34bf61a6d367
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 11 20:35:03 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Nov 11 20:55:24 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a1b25485
dev-python/bottle: Bump to 0.12.19
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/bottle/Manifest | 1 +
dev-python/bottle/bottle-0.12.19.ebuild | 48 +++++++++++++++++++++++++++++++++
2 files changed, 49 insertions(+)
diff --git a/dev-python/bottle/Manifest b/dev-python/bottle/Manifest
index f8636ed5439..b40f921fa19 100644
--- a/dev-python/bottle/Manifest
+++ b/dev-python/bottle/Manifest
@@ -1 +1,2 @@
DIST bottle-0.12.18.tar.gz 71557 BLAKE2B
a34cc1ab9a2a8505b7fda8bbddbae30b4e6c4829cae53f0f886237a21fdfa7f2b2463b216d7a16464539f41bdce4c1dabb5cc66027b8fdd19b10e9a78a3cdbb5
SHA512
db8a341cd80d755205518bb9eac5b79dca9e541ab3ad9d9d57f891d895f7df75a8facd16b068cbdf7c4f884f35e384449f4cbd565a43e9c5d000d3a9f5b7dcb0
+DIST bottle-0.12.19.tar.gz 73142 BLAKE2B
e59d7a507d3401869ba4953a48274062fc56226afa2f7aad596b4ef4352e4a79cea2d224dfe32d7ce014e4f4a3ba088d0e7a0886f64a84bb6b78571e953fa3c3
SHA512
e5d2f6a32d1b89ae3cc9607456c0614db2b58882c6d36273d695c51d3d77b1858cac4d914dbf19bca3b74be68c197aa6473f162e40d9b7ae2af3a084a28c2637
diff --git a/dev-python/bottle/bottle-0.12.19.ebuild
b/dev-python/bottle/bottle-0.12.19.ebuild
new file mode 100644
index 00000000000..13d52c76841
--- /dev/null
+++ b/dev-python/bottle/bottle-0.12.19.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9} pypy3 )
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="A fast and simple micro-framework for small web-applications"
+HOMEPAGE="https://pypi.org/project/bottle/ https://bottlepy.org/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390
~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="test? ( dev-python/mako[${PYTHON_USEDEP}] )"
+RDEPEND=""
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.12.8-py3.5-backport.patch
+)
+
+python_prepare_all() {
+ sed -i -e '/scripts/d' setup.py || die
+
+ # Remove test file requring connection to network
+ rm test/test_server.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ # A few odd fails in the suite under pypy
+ # https://github.com/bottlepy/bottle/issues/714
+ "${EPYTHON}" test/testall.py || die "tests failed under ${EPYTHON}"
+}
+
+pkg_postinst() {
+ optfeature "Templating support" dev-python/mako
+ elog "Due to problems with bottle.py being in /usr/bin (see bug
#474874)"
+ elog "we do as most other distros and do not install the script
anymore."
+ elog "If you do want/have to call it directly rather than through your
app,"
+ elog "please use the following instead:"
+ elog ' `python -m bottle`'
+}